## EAlertDialog EAlertDialog |

## Functions

GtkWidget * | e_alert_dialog_new ()
GtkWidget * | e_alert_dialog_new_for_args ()
gint | e_alert_run_dialog ()
gint | e_alert_run_dialog_for_args ()
EAlert * | e_alert_dialog_get_alert ()
GtkWidget * | e_alert_dialog_get_content_area ()

## Description

## Functions

### e_alert_dialog_new ()

    GtkWidget *
    e_alert_dialog_new (GtkWindow *parent,
                        EAlert *alert);

`e_alert_dialog_new` is deprecated and should not be used in newly-written code.

### e_alert_dialog_new_for_args ()

    GtkWidget *
    e_alert_dialog_new_for_args (GtkWindow *parent,
                                 const gchar *tag,
                                 ...);

`e_alert_dialog_new_for_args` is deprecated and should not be used in newly-written code.

### e_alert_run_dialog ()

    gint
    e_alert_run_dialog (GtkWindow *parent,
                        EAlert *alert);

`e_alert_run_dialog` is deprecated and should not be used in newly-written code.

### e_alert_run_dialog_for_args ()

    gint
    e_alert_run_dialog_for_args (GtkWindow *parent,
                                 const gchar *tag,
                                 ...);

`e_alert_run_dialog_for_args` is deprecated and should not be used in newly-written code.

### e_alert_dialog_get_alert ()

    EAlert *
    e_alert_dialog_get_alert (EAlertDialog *dialog);

`e_alert_dialog_get_alert` is deprecated and should not be used in newly-written code.

Returns the EAlert associated with `dialog` .

#### Parameters

dialog | an EAlertDialog |

#### Returns

the EAlert associated with `dialog`

### e_alert_dialog_get_content_area ()

    GtkWidget *
    e_alert_dialog_get_content_area (EAlertDialog *dialog);

`e_alert_dialog_get_content_area` is deprecated and should not be used in newly-written code.

Returns the vertical box containing the primary and secondary labels. Use this to pack additional widgets into the dialog with the proper horizontal alignment (maintaining the left margin below the image).

#### Parameters

dialog | an EAlertDialog |

#### Returns

the content area GtkBox

## Types and Values